Bug 2028122 (CVE-2021-3984)

Summary: CVE-2021-3984 vim: illegal memory access in find_start_brace() in cindent.c when C-indenting
Product: [Other] Security Response Reporter: Michael Kaplan <mkaplan>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caswilli, fjansen, gchamoul, gghezzo, gparvin, jburrell, jnakfour, jramanat, jwong, karsten, kaycoth, pahickey, psegedy, stcannon, vkumar, vmugicag, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: vim 8.2.3625 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. A possible heap-based buffer overflow allows an attacker to input a specially crafted file, leading to a crash or code execution. The highest threat from this vulnerability is confidentiality, integrity, and system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-02-01 22:01:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2028339, 2028340, 2028341, 2028342, 2029174, 2029335, 2029339    
Bug Blocks: 2028123    

Description Michael Kaplan 2021-12-01 14:23:22 UTC
vim is vulnerable to Heap-based Buffer Overflow. There is an illegal memory access when C-indenting.

References:

https://github.com/vim/vim/commit/2de9b7c7c8791da8853a9a7ca9c467867465b655
https://huntr.dev/bounties/b114b5a2-18e2-49f0-b350-15994d71426a

Comment 2 Sandipan Roy 2021-12-02 04:57:06 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2028339]

Comment 5 errata-xmlrpc 2022-02-01 21:00:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0366 https://access.redhat.com/errata/RHSA-2022:0366

Comment 6 Product Security DevOps Team 2022-02-01 22:01:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3984